#ifndef CFILE2JT808PIPE_H
#define CFILE2JT808PIPE_H
#include "CVideoPipe.h"
#include "CJt808Video.h"


// 文件到jt808管道
class CFile2Jt808Pipe : public CVideoPipe, public CJt808Video
{
public:
    CFile2Jt808Pipe();
    ~CFile2Jt808Pipe();

    // 开始流媒体管道
    virtual bool startPipe();

    // 结束流媒体管道
    virtual bool stopPipe();

    // 设置源
    virtual bool setSource(QString strSrc);

    // 转换发送
    static GstFlowReturn Jt808Transform(GstElement *sink, CFile2Jt808Pipe *pThis);

protected:
    GstAppSink *m_jt808Sink;
};

#endif // CFILE2JT808PIPE_H
