#ifndef CRTSP2JT808PIPE_H
#define CRTSP2JT808PIPE_H
#include "CVideoPipe.h"
#include "CJt808Video.h"

// rstp到jt808管道
class CRtsp2Jt808Pipe : public CJt808Video, public CVideoPipe
{
public:
    CRtsp2Jt808Pipe();
    ~CRtsp2Jt808Pipe();

    // 开始流媒体管道
    virtual bool startPipe();

    // 结束流媒体管道
    virtual bool stopPipe();

    // 设置源
    virtual bool setSource(QString strSrc);

    // 转换发送
    static GstFlowReturn Jt808Transform(GstElement *sink, CRtsp2Jt808Pipe *pThis);

protected:
    GstAppSink *m_jt808Sink;
};

#endif // CRTSP2JT808PIPE_H
