#ifndef EASYLOGER_H
#define EASYLOGER_H
#include <ctime>  
#include <iostream>  
#include <fstream>  
class EasyLog
{
public:
	static void Write(std::string log, ...) {  
		char output[512] = {0};
	    memset (output, 0, sizeof(output));

	    va_list ap;
	    va_start(ap, log); //获得可变参数列表
	    vsprintf(output, log.c_str(), ap);
	    va_end(ap); //释放资源
	    std::string vlog(output);
		try
		{	 
			std::ofstream ofs;	
			time_t t = time(0);  
			char tmp[64];  
			strftime(tmp, sizeof(tmp), "[%Y-%m-%d %X]", localtime(&t));  
			ofs.open("/opt/FormLogin.log", std::ofstream::app);  
			
			ofs << tmp << " - ";  
			ofs.write(log.c_str(), log.size());  
			ofs << std::endl;  
			ofs.close();		 
		}
		catch(...)
		{
		} 
	}
};

#endif