﻿// mydialog.cpp
#include "mydialog.h"

MyDialog::MyDialog(const QString& title, const QString& content,QWidget *parent) :
    QDialog(parent)
{
    //setWindowTitle(tr("合能创越"));
	setWindowTitle(title);
    setFixedSize(200, 100);

    //label = new QLabel(tr("截图成功"), this);
	label = new QLabel(content, this);
    label->setAlignment(Qt::AlignCenter);
    label->setGeometry(0, 0, 200, 50);

    timer = new QTimer(this);
    timer->setSingleShot(true);
    connect(timer, &QTimer::timeout, this, &MyDialog::closeDialog);
    timer->start(2000);
}

MyDialog::~MyDialog()
{
}

void MyDialog::closeDialog()
{
    close();
}
