#-------------------------------------------------
#
# Project created by QtCreator 2021-03-09T23:13:33
#
#-------------------------------------------------

QT += core gui network websockets xml serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = CameraViewer
TEMPLATE = app

CONFIG += c++11
CONFIG += debug 
#CONFIG += release
#isEmpty(QMAKE_CXXFLAGS_RELEASE): QMAKE_CXXFLAGS_RELEASE += -O0
QMAKE_CXXFLAGS_DEBUG +=  -O1
# The following define makes your compiler Q_EMIT warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

LIBS    +=-lglib-2.0
LIBS    +=-lgobject-2.0
LIBS    +=-lgstreamer-1.0          # <gst/gst.h>
LIBS    +=-lgstvideo-1.0             # <gst/video/videooverlay.h>
LIBS    +=-L/usr/lib/aarch64-linux-gnu/gstreamer-1.0
#LIBS    +=-lgstautodetect
LIBS    +=-lgstaudio-1.0
LIBS    +=-lgstapp-1.0
#LIBS    += /usr/local/lib/libeXosip2.so.14
#LIBS    += /usr/local/lib/libquazip1-qt5.so
LIBS    += ~/heneng/Build/lib/libboot.o
LIBS    += ~/heneng/setup/ofs1/libeXosip2.so.14
LIBS    += ~/heneng/setup/ofs1/libosipparser2.so.14
LIBS    += ~/heneng/setup/ofs1/libosip2.so.14

LIBS    += ~/heneng/0.code/quazip/quazip/libquazip1-qt5.so
LIBS    +=  -lrdkafka
LIBS    += -L/home/work/test/obs/huaweicloud-sdk-c-obs/build/lib -L/home/work/test/obs/huaweicloud-sdk-c-obs/platform/eSDK_LogAPI_V2.1.10/C/aarch64
LIBS    +=  -leSDKOBS -leSDKLogAPI


INCLUDEPATH += /usr/local/include/QuaZip-Qt5-1.1/quazip/ \
             /usr/include/glib-2.0 \
             /usr/lib/aarch64-linux-gnu/glib-2.0/include \
             /usr/local/cuda/targets/aarch64-linux/include \
             /usr/include/gstreamer-1.0 \
             /usr/lib/aarch64-linux-gnu/gstreamer-1.0/include/ \
             /usr/local/include/gstreamer-1.0/ \
             /usr/lib/x86_64-linux-gnu/glib-2.0/include/ \
             ./include \
             ./base_module \
             ./jt808 \
             ../libboot \
             ./include/common \
             ~/heneng/0.code/quazip/quazip/ \
			 /usr/local/include/librdkafka/


# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

OBJECTS_DIR  = tmp
MOC_DIR      = tmp

INCLUDEPATH += /usr/local/include/opencv4 \
               /usr/local/include/opencv4/opencv \
               /usr/local/include/opencv4/opencv2 \
			   /home/work/test/obs/huaweicloud-sdk-c-obs/source/eSDK_OBS_API/eSDK_OBS_API_C++/inc \
			   /home/work/test/obs/huaweicloud-sdk-c-obs/source/eSDK_OBS_API/eSDK_OBS_API_C++_Demo \
			   /home/work/test/obs/huaweicloud-sdk-c-obs/platform/huaweisecurec/include/ 


#LIBS += /usr/lib/aarch64-linux-gnu/libopencv_highgui.so \
#        /usr/lib/aarch64-linux-gnu/libopencv_core.so    \
#        /usr/lib/aarch64-linux-gnu/libopencv_imgproc.so \
#        /usr/lib/aarch64-linux-gnu/libopencv_imgcodecs.so \
#        /usr/lib/aarch64-linux-gnu/libopencv_videoio.so \
#        /usr/lib/aarch64-linux-gnu/libopencv_calib3d.so \

SOURCES += \
        main.cpp \
    ui/video/CFormCamViewer.cpp \
    ui/video/VideoPannel.cpp \
    socket/TcpServer.cpp \
    socket/TcpModule.cpp \
    base_module/base_module.cpp \
	camera/cJSON.c \
	camera/Ckafkaproducer.cpp \ 
    camera/CCameraManager.cpp \
    ui/setting/DlgMainSetting.cpp \
    device/CDeviceManager.cpp \
    alarm/CAlarmManager.cpp \
    config/CConfigManager.cpp \
    ui/video/DlgCamReview.cpp \
    camera/CCameraDevice.cpp \
    socket/CWebSocketClient.cpp \
    ui/setting/FormLogin.cpp \
    camera/WebCamFinder.cpp \
    timer/CTimerManager.cpp \
    swdl/CSWDLManager.cpp \
    file/CFileManager.cpp \
    ui/setting/CDlgServSetting.cpp \
    camera/CRtmpResponser.cpp \
    include/common/uart.cpp \
    include/common/common.cpp \
    ui/setting/SplashScreen.cpp \
    jt808/CJT808Terminal.cpp \
    jt808/CJT808CmdProc.cpp \
    jt808/jt808_common.cpp \
    swdl/FileDownloader.cpp \
    swdl/CSwdlState.cpp \
    jt808/CJt808Config.cpp \
    jt808/CJt808Location.cpp \
    jt808/CJt808AreaRoute.cpp \
    jt808/CJt808Information.cpp \
    jt808/CJt808Device.cpp \
    jt808/CJt808Media.cpp \
    gb28181/CGB28181Module.cpp \
    gb28181/CGB28181Client.cpp \
    gb28181/CSipEventHandle.cpp \
    gb28181/CSipMessageHandle.cpp \
    gb28181/CSipDevice.cpp \
    base_module/tinyxml2.cpp \
    gb28181/utils/CPtzParser.cpp \
    gb28181/utils/CXmlParser.cpp \
    camera/CGB28181Video.cpp \
    MainWindow.cpp \
    ui/setting/DlgSetting.cpp \
    ui/setting/DlgSettingGB28181.cpp \
    log/CLogManager.cpp \
    log/CLoger.cpp \
    ui/setting/DlgSettingJT808.cpp \
    camera/CJt808Video.cpp \
    camera/CVideoPipe.cpp \
    camera/CRtsp2GB28181Pipe.cpp \
    camera/CRtsp2Jt808Pipe.cpp \
    camera/CH264Parse.cpp \
    gps/CGPSManager.cpp \
    camera/CFile2Jt808Pipe.cpp \
    ui/setting/DlgSettingDev.cpp \
    audio/CMcAdptManager.cpp \
	hardware/dmmManager.cpp \
	mydialog.cpp

HEADERS += \
    ui/video/CFormCamViewer.h \
    ui/video/VideoPannel.h \
    include/common/message.h \
    include/common/common.h \
    include/common/uart.h \
    socket/TcpServer.h \
    socket/TcpModule.h \
    base_module/base_module.h \
    base_module/factory.h \
    camera/CCameraManager.h \
    ui/setting/DlgMainSetting.h \
    device/CDeviceManager.h \
    alarm/CAlarmManager.h \
    config/CConfigManager.h \
    ui/video/DlgCamReview.h \
    camera/CCameraDevice.h \
    socket/CWebSocketClient.h \
    ui/setting/FormLogin.h \
    camera/WebCamFinder.h \
	camera/cJSON.h \
	camera/safe_queue.h \
	camera/Ckafkaproducer.h \ 
    timer/CTimerManager.h \
    swdl/CSWDLManager.h \
    file/CFileManager.h \
    ui/setting/CDlgServSetting.h \
    camera/CRtmpResponser.h \
    ui/setting/SplashScreen.h \
    jt808/CJT808Terminal.h \
    jt808/jt808_common.h \
    jt808/jt808_msg.h \
    jt808/CJT808CmdProc.h \
    swdl/FileDownloader.h \
    swdl/CSwdlState.h \
    jt808/CJt808Config.h \
    jt808/CJt808Location.h \
    jt808/CJt808AreaRoute.h \
    jt808/CJt808Information.h \
    jt808/CJt808Device.h \
    jt808/CJt808Media.h \
    gb28181/CGB28181Module.h \
    gb28181/CGB28181Client.h \
    gb28181/CSipEventHandle.h \
    gb28181/CSipMessageHandle.h \
    gb28181/CSipDefs.h \
    camera/CGB28181Video.h \
    MainWindow.h \
    ui/setting/DlgSetting.h \
    gb28181/CSipDevice.h \
    log/CLogManager.h \
    log/CLoger.h \
    camera/CJt808Video.h \
    camera/CVideoPipe.h \
    camera/CRtsp2GB28181Pipe.h \
    camera/CRtsp2Jt808Pipe.h \
    camera/CH264Parse.h \
    gps/CGPSManager.h \
    camera/CFile2Jt808Pipe.h \
    audio/CMcAdptManager.h \
	hardware/dmmManager.h \
	mydialog.h

FORMS += \
        mainwindow.ui \
    ui/video/VideoPannel.ui\
    ui/video/CFormCamViewer.ui \
    ui/setting/DlgMainSetting.ui \
    ui/video/DlgCamReview.ui \
    ui/setting/FormLogin.ui \
    ui/setting/CDlgServSetting.ui \
    ui/setting/SplashScreen.ui \
    ui/setting/DlgSetting.ui

RESOURCES += \
    res.qrc

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

