#ifndef CRTMPRESPONSER_H
#define CRTMPRESPONSER_H

#include <gst/gst.h>
#include <QObject>
#include "camera/CCameraDevice.h"

class CRtmpResponser : public QObject
{
    Q_OBJECT
public:
    explicit CRtmpResponser(QObject *parent = nullptr);
    ~CRtmpResponser();
    
    // 开时rtmp推流
    bool startRtmpRequire(QString strSrc, QString strRtmpSrv);

    // 停止rtmp推流
    void stopRtmpRequire();

    // 消息回调
    static gboolean postGstMessage(GstBus * bus, GstMessage * message, gpointer user_data);
//signals:

//public slots:

protected:
    //源信息
    GstElement *pipeline;

};

#endif // CRTMPRESPONSER_H
