#ifndef CRTSP2GB28181PIPE_H
#define CRTSP2GB28181PIPE_H
#include "CVideoPipe.h"
#include "CGB28181Video.h"

// rtsp到gb28181管道
class CRtsp2GB28181Pipe : public CVideoPipe, public CGB28181Video
{
public:
    CRtsp2GB28181Pipe();
    ~CRtsp2GB28181Pipe();

    // 设置管道源信息
    virtual bool setSource(QString strSrc);

    // 开始流媒体管道
    virtual bool startPipe();

    // 结束流媒体管道
    virtual bool stopPipe();

    // GB28181直播转换
    static GstFlowReturn GB28181Transform(GstElement *sink, CRtsp2GB28181Pipe *pGb28181);

protected:
    GstAppSink *m_gb28181Sink;
};

#endif // CRTSP2GB28181PIPE_H
