#include "mainwindow.h"
#include <QApplication>

#include <gst/gst.h>
#include <gst/gst.h>
#include <string.h>
#include  <glib.h>
#include  <gst/gst.h>
#include  <gst/video/videooverlay.h>

#include <QApplication>
#include <QWidget>
#include <QSlider>
#include <QLabel>
#include <QObject>

#include "./ui/CFormCamViewer.h"



//建立gstream管道
bool CVideoCamera::buildV4l2Pipe()
{
    QString strLaunch = QString("v4l2src device=%1 ! image/jpeg, width=1920, height=1080, framerate=30/1 ! jpegdec ! tee name = t t. ! queue ! xvimagesink name=video-sink t. ! nvvidconv ! nvv4l2h265enc ! h265parse ! qtmux ! filesink location=./test1111.mp4").arg(m_strDevice.c_str());
    pipeline = gst_parse_launch(strLaunch.toStdString().c_str(), NULL);
    // seg window id to gstreamer
    vsink = gst_bin_get_by_name(GST_BIN( pipeline ), "video-sink" );
    return true;

//    //gst-launch-1.0 v4l2src device=/dev/video0 ! 'image/jpeg,width=1920,height=1080,framerate=30/1' ! jpegdec ! tee name = t t. ! queue ! xvimagesink t. ! nvvidconv ! nvv4l2h265enc ! h265parse ! qtmux ! filesink location=test1111.mp4
//    pipeline           	= gst_pipeline_new ("v4l2_file");

//    m_videoSrc     	   	= gst_element_factory_make ("v4l2src",  "v4l2src");
//    m_videoDec        	= gst_element_factory_make ("jpegdec",      "jpegdec");
//    tee                 = gst_element_factory_make ("tee",      "tee");

//    file_queue      	= gst_element_factory_make ("queue",	"file_queue");
//    nvvidconv      	   	= gst_element_factory_make ("nvvidconv",	"nvvidconv");
//    nvv4l2h265enc      	= gst_element_factory_make ("nvv4l2h265enc","nvv4l2h265enc");
//    h265parse      	   	= gst_element_factory_make ("h265parse",	"h265parse");
//    qtmux               = gst_element_factory_make ("qtmux",	"qtmux");
//    filesink      	   	= gst_element_factory_make ("filesink",	"filesink");

//    video_queue      	= gst_element_factory_make ("queue",	"video_queue");
//    vsink              = gst_element_factory_make ("xvimagesink",	"vsink");

//    if (!pipeline || !m_videoSrc || !m_videoDec || !h265parse || !nvvidconv || !nvv4l2h265enc|| !file_queue|| !filesink)
//    {
//        g_printerr ("One element could not be created... Exit\n");
//        return false;
//    }

//    GstCaps *caps_v4l2src;

//    caps_v4l2src = gst_caps_new_simple("image/jpeg",
//                                    "width", G_TYPE_INT, frame_width,
//                                    "height", G_TYPE_INT, frame_height,
//                                    "framerate", GST_TYPE_FRACTION, frame_rate,
//                                    1, NULL);

//    g_object_set(G_OBJECT(m_videoSrc), "device", m_strDevice.c_str(), NULL);
//    g_object_set(G_OBJECT(filesink), "location", "testA.mp4", NULL);

//    gst_bin_add_many(GST_BIN(pipeline), m_videoSrc, m_videoDec, tee, file_queue, nvvidconv, nvv4l2h265enc, h265parse, filesink, video_queue,vsink, NULL);

//    if(gst_element_link_many(m_videoSrc,m_videoDec, tee, NULL) != TRUE)
//    {
//        g_printerr ("queue could not link h264parse\n");
//        gst_object_unref (pipeline);
//        return false;
//    }

//    if(gst_element_link_many(file_queue,  nvvidconv, nvv4l2h265enc, h265parse, filesink,NULL) != TRUE)
//    {
//        g_printerr ("queue could not link h264parse\n");
//        gst_object_unref (pipeline);
//        return false;
//    }

//    if( gst_element_link_many(video_queue, vsink, NULL) != TRUE)
//    {
//        g_printerr ("queue could not link h264parse\n");
//        gst_object_unref (pipeline);
//        return false;
//    }

//    GstPad *tee_file_pad, *tee_video_pad;
//    GstPad *queue_file_pad, *queue_video_pad;
//    /* Manually link the Tee, which has "Request" pads */
//    tee_file_pad = gst_element_get_request_pad (tee, "src_%u");
//    queue_file_pad = gst_element_get_static_pad (file_queue, "sink");

//    tee_video_pad = gst_element_get_request_pad (tee, "src_%u");
//    queue_video_pad = gst_element_get_static_pad (video_queue, "sink");

//    if (gst_pad_link (tee_file_pad, queue_file_pad) != GST_PAD_LINK_OK || gst_pad_link (tee_video_pad, queue_video_pad) != GST_PAD_LINK_OK)
//    {
//        g_printerr ("Tee could not be linked.\n");
//        gst_object_unref (pipeline);
//        return false;
//    }
//    gst_object_unref (queue_file_pad);
//    gst_object_unref (queue_video_pad);


    return true;
}

#include <string.h>
#include <gst/gst.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef struct _GstDataStruct
{
    GstElement *pipeline;
    GstElement *v4l2src;
    GstElement *jpegdec;
    GstElement *file_queue;
    GstElement *nvvidconv;
    GstElement *nvv4l2h265enc;
    GstElement *h265parse;
    GstElement *queue2;
    GstElement *qtmux;
    GstElement *filesink;
    GstElement *tee;

    GstElement *video_queue;
    GstElement *vsink;

    GstBus *bus;
    guint bus_watch_id;
    guint sourceid;        /* To control the GSource */
    GMainLoop *loop;  /* GLib's Main Loop */
} GstDataStruct;

static GstDataStruct GstData;
static unsigned int frame_width;
static unsigned int frame_height;
static unsigned int frame_rate;
static unsigned int frame_bps;
static char devname[32] = {0};

gboolean bus_msg_call(GstBus *bus, GstMessage *msg, GstDataStruct *pGstData){
    gchar *debug;
    GError *error;
    GMainLoop *loop = pGstData->loop;
    GST_DEBUG ("got message %s",gst_message_type_get_name (GST_MESSAGE_TYPE (msg)));
    switch (GST_MESSAGE_TYPE(msg))
    {
        case GST_MESSAGE_EOS:
            printf("End of stream\n");
            g_main_loop_quit(loop);
            break;
        case GST_MESSAGE_ERROR:
            gst_message_parse_error(msg, &error, &debug);
            g_free(debug);
            g_printerr("Error: %s\n", error->message);
            g_error_free(error);
            g_main_loop_quit(loop);
            break;
        default:
            break;
    }
    return TRUE;
}   

//int main(int argc, char *argv[])
//{
//    if(argc != 6)
//    {
//        frame_width = 1920;
//        frame_height = 1080;
//        frame_rate = 30;
//        frame_bps = 1500000;
//        sprintf(devname, "%s", "/dev/video0");
//    }
//    else
//    {
//        frame_width = atoi(argv[2]);
//        frame_height = atoi(argv[3]);
//        frame_rate = atoi(argv[4]);
//        frame_bps = atoi(argv[5]);
//        sprintf(devname, "%s", argv[1]);
//    }
//    printf("width:%d, height:%d, rate:%d, bps:%d, dev:%s\n", frame_width, frame_height, frame_rate, frame_bps, devname);
//    printf("============= v4l2 rtmp gst init start ============\n");
//    gst_init (NULL, NULL);
//    printf("=========== create v4l2 rtmp pipeline =============\n");
//    GstData.pipeline           	= gst_pipeline_new ("v4l2_file");
//    GstData.v4l2src        	   	= gst_element_factory_make ("v4l2src",      "v4l2src");
//    GstData.jpegdec        	   	= gst_element_factory_make ("jpegdec",      "jpegdec");

//    GstData.nvvidconv      	   	= gst_element_factory_make ("nvvidconv",	"nvvidconv");
//    GstData.nvv4l2h265enc      	= gst_element_factory_make ("nvv4l2h265enc","nvv4l2h265enc");
//    GstData.h265parse      	   	= gst_element_factory_make ("h265parse",	"h265parse");
//    GstData.qtmux      	   	= gst_element_factory_make ("qtmux",	"qtmux");
//    GstData.queue2      	   	= gst_element_factory_make ("queue",	"queue");
//    GstData.filesink      	   	= gst_element_factory_make ("filesink",	"filesink");

//    if (!GstData.pipeline || !GstData.v4l2src || !GstData.jpegdec ||
//        !GstData.h265parse || !GstData.nvvidconv || !GstData.nvv4l2h265enc|| !GstData.queue2|| !GstData.filesink)
//    {
//        g_printerr ("One element could not be created... Exit\n");
//        return -1;
//    }
//    printf("============ link v4l2 rtmp pipeline ==============\n");
//    GstCaps *caps_v4l2src;

//    caps_v4l2src = gst_caps_new_simple("image/jpeg",
//                                       "width", G_TYPE_INT, frame_width,
//                                       "height", G_TYPE_INT, frame_height,
//                                       "framerate", GST_TYPE_FRACTION, frame_rate,
//                                       1, NULL);


////    GstCaps *caps_flv_sink;
////    caps_flv_sink = gst_caps_new_simple("video/x-h265", "stream-format", G_TYPE_STRING,"avc",
////                                        "alignment", G_TYPE_STRING, "au","width", G_TYPE_INT, frame_width,
////                                        "height", G_TYPE_INT, frame_height,
////                                        "framerate",GST_TYPE_FRACTION, frame_rate, 1, NULL);

//    g_object_set(G_OBJECT(GstData.v4l2src), "device", devname, NULL);
//    g_object_set(G_OBJECT(GstData.filesink), "location", "testA.mp4", NULL);

//    //注意：此处的location参数代表rtmp的url，其取值必须与html文件的rtmp的URL保持一致，才可观看视频。
//    GstData.bus = gst_pipeline_get_bus(GST_PIPELINE(GstData.pipeline));
//    GstData.bus_watch_id = gst_bus_add_watch(GstData.bus, (GstBusFunc)bus_msg_call, (gpointer)&GstData);
//    gst_object_unref(GstData.bus);
//    gst_bin_add_many(GST_BIN(GstData.pipeline), GstData.v4l2src, GstData.jpegdec, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink,NULL);

////    if(gst_element_link(GstData.v4l2src, GstData.jpegdec) != TRUE)
////    {
////        g_printerr ("GstData.queue could not link GstData.v4l2src\n");
////        gst_object_unref (GstData.v4l2src);
////        return -1;
////    }

////    if(gst_element_link_filtered(GstData.v4l2src, GstData.jpegdec, caps_v4l2src) != TRUE)
////    {
////        g_printerr ("GstData.jpegdec could not link GstData.jpegdec\n");
////        gst_object_unref (GstData.pipeline);
////        return -1;
////    }

////    gst_caps_unref (caps_v4l2src);
//    if(gst_element_link_many(GstData.v4l2src, GstData.jpegdec, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink,NULL) != TRUE)
//    {
//        g_printerr ("GstData.queue could not link GstData.h264parse\n");
//        gst_object_unref (GstData.pipeline);
//        return -1;
//    }

//    printf("========= link v4l2 rtmp pipeline running ==========\n");
//    gst_element_set_state (GstData.pipeline, GST_STATE_PLAYING);
//    GstData.loop = g_main_loop_new(NULL, FALSE);	// Create gstreamer loop
//    g_main_loop_run(GstData.loop);					// Loop will run until receiving EOS (end-of-stream), will block here
//    printf("g_main_loop_run returned, stopping rtmp!\n");
//    gst_element_set_state (GstData.pipeline, GST_STATE_NULL);		// Stop pipeline to be released
//    printf("Deleting pipeline\n");
//    gst_object_unref (GstData.pipeline);							// THis will also delete all pipeline elements
//    g_source_remove(GstData.bus_watch_id);
//    g_main_loop_unref(GstData.loop);
//    return 0;
//}




int main(int argc, char *argv[])
{
      gst_init (&argc, &argv);
      QApplication app(argc, argv);
      app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit ()));


      frame_width = 1920;
      frame_height = 1080;
      frame_rate = 30;
      frame_bps = 1500000;
      sprintf(devname, "%s", "/dev/video0");
      printf("width:%d, height:%d, rate:%d, bps:%d, dev:%s\n", frame_width, frame_height, frame_rate, frame_bps, devname);
      printf("============= v4l2 rtmp gst init start ============\n");
      gst_init (NULL, NULL);
      printf("=========== create v4l2 rtmp pipeline =============\n");
      GstData.pipeline           	= gst_pipeline_new ("v4l2_file");
      GstData.v4l2src        	   	= gst_element_factory_make ("v4l2src",      "v4l2src");
      GstData.jpegdec        	   	= gst_element_factory_make ("jpegdec",      "jpegdec");
      GstData.tee        	   	= gst_element_factory_make ("tee",      "tee");

      GstData.file_queue      	   	= gst_element_factory_make ("queue",	"file_queue");
      GstData.nvvidconv      	   	= gst_element_factory_make ("nvvidconv",	"nvvidconv");
      GstData.nvv4l2h265enc      	= gst_element_factory_make ("nvv4l2h265enc","nvv4l2h265enc");
      GstData.h265parse      	   	= gst_element_factory_make ("h265parse",	"h265parse");
      GstData.qtmux      	   	= gst_element_factory_make ("qtmux",	"qtmux");
      GstData.filesink      	   	= gst_element_factory_make ("filesink",	"filesink");


      GstData.video_queue      	   	= gst_element_factory_make ("queue",	"video_queue");
      GstData.vsink      	   	= gst_element_factory_make ("xvimagesink",	"vsink");

      if (!GstData.pipeline || !GstData.v4l2src || !GstData.jpegdec ||
          !GstData.h265parse || !GstData.nvvidconv || !GstData.nvv4l2h265enc|| !GstData.file_queue|| !GstData.filesink)
      {
          g_printerr ("One element could not be created... Exit\n");
          return -1;
      }
      printf("============ link v4l2 rtmp pipeline ==============\n");
      GstCaps *caps_v4l2src;

      caps_v4l2src = gst_caps_new_simple("image/jpeg",
                                         "width", G_TYPE_INT, frame_width,
                                         "height", G_TYPE_INT, frame_height,
                                         "framerate", GST_TYPE_FRACTION, frame_rate,
                                         1, NULL);

      g_object_set(G_OBJECT(GstData.v4l2src), "device", devname, NULL);
      g_object_set(G_OBJECT(GstData.filesink), "location", "testA.mp4", NULL);

      //注意：此处的location参数代表rtmp的url，其取值必须与html文件的rtmp的URL保持一致，才可观看视频。
//      GstData.bus = gst_pipeline_get_bus(GST_PIPELINE(GstData.pipeline));
//      GstData.bus_watch_id = gst_bus_add_watch(GstData.bus, (GstBusFunc)bus_msg_call, (gpointer)&GstData);
//      gst_object_unref(GstData.bus);
//      gst_bin_add_many(GST_BIN(GstData.pipeline), GstData.v4l2src, GstData.jpegdec, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink,NULL);
//        gst_bin_add_many(GST_BIN(GstData.pipeline), GstData.v4l2src, GstData.jpegdec,GstData.tee, GstData.file_queue, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink, NULL);
      gst_bin_add_many(GST_BIN(GstData.pipeline), GstData.v4l2src, GstData.jpegdec,GstData.tee, GstData.file_queue, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink, GstData.video_queue,GstData.vsink, NULL);

//      if(gst_element_link_filtered(GstData.v4l2src, GstData.jpegdec, caps_v4l2src) != TRUE)
//      {
//          g_printerr ("GstData.jpegdec could not link GstData.jpegdec\n");
//          gst_object_unref (GstData.pipeline);
//          return -1;
//      }

//      gst_caps_unref (caps_v4l2src);

//      if(gst_element_link_many(GstData.v4l2src, GstData.jpegdec, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink,NULL) != TRUE)
//      {
//          g_printerr ("GstData.queue could not link GstData.h264parse\n");
//          gst_object_unref (GstData.pipeline);
//          return -1;
//      }



      if(gst_element_link_many(GstData.v4l2src, GstData.jpegdec, GstData.tee, NULL) != TRUE)
      {
          g_printerr ("GstData.queue could not link GstData.h264parse\n");
          gst_object_unref (GstData.pipeline);
          return -1;
      }

      if(gst_element_link_many(GstData.file_queue, GstData.nvvidconv, GstData.nvv4l2h265enc, GstData.h265parse, GstData.filesink,NULL) != TRUE)
       {
          g_printerr ("GstData.queue could not link GstData.h264parse\n");
          gst_object_unref (GstData.pipeline);
          return -1;
      }

      if( gst_element_link_many(GstData.video_queue, GstData.vsink, NULL) != TRUE)
      {
          g_printerr ("GstData.queue could not link GstData.h264parse\n");
          gst_object_unref (GstData.pipeline);
          return -1;
      }

      GstPad *tee_file_pad, *tee_video_pad;
      GstPad *queue_file_pad, *queue_video_pad;
      /* Manually link the Tee, which has "Request" pads */
      tee_file_pad = gst_element_get_request_pad (GstData.tee, "src_%u");
      queue_file_pad = gst_element_get_static_pad (GstData.file_queue, "sink");

      tee_video_pad = gst_element_get_request_pad (GstData.tee, "src_%u");
      queue_video_pad = gst_element_get_static_pad (GstData.video_queue, "sink");

      if (gst_pad_link (tee_file_pad, queue_file_pad) != GST_PAD_LINK_OK ||
              gst_pad_link (tee_video_pad, queue_video_pad) != GST_PAD_LINK_OK)
      {
        g_printerr ("Tee could not be linked.\n");
        gst_object_unref (GstData.pipeline);
        return -1;
      }
      gst_object_unref (queue_file_pad);
      gst_object_unref (queue_video_pad);

    // prepare the pipeline v4l2src device=/dev/video0 ! 'image/jpeg,width=1920,height=1080,framerate=30/1' ! jpegdec ! tee name = t t. ! queue ! xvimagesink t. ! nvvidconv ! nvv4l2h265enc ! h265parse ! qtmux !filesink location=test1111.mp4 -e

    // prepare the ui
    CFormCamViewer *window = new CFormCamViewer();
    window->setPipeLine(GstData.pipeline);
    window->resize(1920, 1080);
    window->show();

    // seg window id to gstreamer
    WId xwinid = window->getVideoWId();
    gst_video_overlay_set_window_handle (GST_VIDEO_OVERLAY (GstData.vsink), xwinid);

    // connect to interesting Q_SIGNALS 
    GstBus *bus = gst_element_get_bus(GstData.pipeline);
    gst_bus_add_watch(bus, (GstBusFunc)CFormCamViewer::postGstMessage, window);
    gst_object_unref(bus);

    // run the pipeline
    GstStateChangeReturn sret = gst_element_set_state (GstData.pipeline, GST_STATE_PLAYING);
    if (sret == GST_STATE_CHANGE_FAILURE)
    {
        gst_element_set_state (GstData.pipeline, GST_STATE_NULL);
        gst_object_unref (GstData.pipeline);
        // Exit application
        QTimer::singleShot(0, QApplication::activeWindow(), SLOT(quit()));
    }

    int ret = app.exec();

    window->hide();
    gst_element_set_state (GstData.pipeline, GST_STATE_NULL);
    gst_object_unref (GstData.pipeline);

    return ret;
}



//#include <gst/gst.h>

//int main(int argc, char *argv[])
//{

////    gst-launch-1.0 -e v4l2src device=/dev/video0 ! 'image/jpeg,width=1920,height=1080,framerate=30/1' ! jpegdec ! tee name = t t. ! queue ! xvimagesink t. ! nvvidconv ! nvv4l2h265enc ! h265parse ! qtmux !filesink location=test1111.mp4 -e
//  GstElement *pipeline, *videosrc,  *jpegdec, *tee, *videoqueue, *video_sink, *fqueue, *nvvidconv, *nvv4l2h265enc, *h265parse, *fsink;
//  GstBus *bus;
//  GstMessage *msg;
//  GstPad *tee_video_pad, *tee_file_pad;
//  GstPad *queue_video_pad, *queue_file_pad;

//  /* Initialize GStreamer */
//  gst_init (&argc, &argv);

//  /* Create the elements */
//  videosrc = gst_element_factory_make ("v4l2src", "v4l2src");
//  jpegdec = gst_element_factory_make ("jpegdec", "jpegdec");
//  tee = gst_element_factory_make ("tee", "tee");
//  videoqueue = gst_element_factory_make ("queue", "videoqueue");
//  video_sink = gst_element_factory_make ("autovideosink", "video_sink");

//  fqueue = gst_element_factory_make ("queue", "file_queue");
//  nvvidconv = gst_element_factory_make ("nvvidconv", "nvvidconv");
//  nvv4l2h265enc  = gst_element_factory_make ("nvv4l2h265enc", "nvv4l2h265enc");
//  h265parse = gst_element_factory_make ("h265parse", "h265parse");
//  fsink = gst_element_factory_make ("filesink", "filesink");

//  /* Create the empty pipeline */
//  pipeline = gst_pipeline_new ("test-pipeline");

//  if (!pipeline || !videosrc || !tee || !jpegdec || !videoqueue || !video_sink || !fqueue ||
//      !nvvidconv || !nvv4l2h265enc || !h265parse || !fsink)
//  {
//    g_printerr ("Not all elements could be created.\n");
//    return -1;
//  }

//  /* Configure elements */
//  g_object_set (videosrc, "device", "/dev/device0", NULL);
////  g_object_set (videosrc, "framerate", 30/1, NULL);
////  g_object_set (videosrc, "width", 1920, NULL);
////  g_object_set (videosrc, "height", 1080, NULL);

//  g_object_set (fsink, "location", "test1111.mp4", NULL);

//  /* Link all elements that can be automatically linked because they have "Always" pads */
//  gst_bin_add_many (GST_BIN (pipeline), videosrc, jpegdec, tee, videoqueue, video_sink, fqueue, nvvidconv,
//      nvv4l2h265enc, h265parse, fsink, NULL);
//  if (gst_element_link_many (videosrc, jpegdec, tee, NULL) != TRUE ||
//      gst_element_link_many (videoqueue, video_sink, NULL) != TRUE ||
//      gst_element_link_many (fqueue, nvvidconv, nvv4l2h265enc, h265parse, fsink, NULL) != TRUE) {
//    g_printerr ("Elements could not be linked.\n");
//    gst_object_unref (pipeline);
//    return -1;
//  }

//  /* Manually link the Tee, which has "Request" pads */
//  tee_video_pad = gst_element_get_request_pad (tee, "src_%u");
//  g_print ("Obtained request pad %s for audio branch.\n", gst_pad_get_name (tee_video_pad));
//  queue_video_pad = gst_element_get_static_pad (videoqueue, "sink");
//  tee_file_pad = gst_element_get_request_pad (tee, "src_%u");
//  g_print ("Obtained request pad %s for video branch.\n", gst_pad_get_name (tee_file_pad));
//  queue_file_pad = gst_element_get_static_pad (fqueue, "sink");
//  if (gst_pad_link (tee_video_pad, queue_video_pad) != GST_PAD_LINK_OK ||
//      gst_pad_link (tee_file_pad, queue_file_pad) != GST_PAD_LINK_OK) {
//    g_printerr ("Tee could not be linked.\n");
//    gst_object_unref (pipeline);
//    return -1;
//  }
//  gst_object_unref (queue_video_pad);
//  gst_object_unref (queue_file_pad);

//  /* Start playing the pipeline */
//  gst_element_set_state (pipeline, GST_STATE_PLAYING);

//  /* Wait until error or EOS */
//  bus = gst_element_get_bus (pipeline);
//  msg = gst_bus_timed_pop_filtered (bus, GST_CLOCK_TIME_NONE, (GstMessageType)(GST_MESSAGE_ERROR | GST_MESSAGE_EOS));

//  /* Release the request pads from the Tee, and unref them */
//  gst_element_release_request_pad (tee, tee_video_pad);
//  gst_element_release_request_pad (tee, tee_file_pad);
//  gst_object_unref (tee_video_pad);
//  gst_object_unref (tee_file_pad);

//  /* Free resources */
//  if (msg != NULL)
//    gst_message_unref (msg);
//  gst_object_unref (bus);
//  gst_element_set_state (pipeline, GST_STATE_NULL);

//  gst_object_unref (pipeline);
//  return 0;
//}

//int main(int argc, char *argv[])
//{
//    gst_init (&argc, &argv);
//    QApplication a(argc, argv);
//    a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit ()));

//    MainWindow w;
//    w.showFullScreen();
//    return a.exec();
//}
