#include "CFormCamViewer.h"
#include "ui_CFormCamViewer.h"
#include <gst/video/videooverlay.h>
#include "ui/video/VideoPannel.h"
#include "ui/video/DlgCamReview.h"

CFormCamViewer::CFormCamViewer(QWidget *parent) :
    QLabel(parent),
    ui(new Ui::CFormCamViewer),
    state(GST_STATE_NULL),
    totalDuration(GST_CLOCK_TIME_NONE)
{
   ui->setupUi(this);
}

CFormCamViewer::~CFormCamViewer()
{
    delete ui;
}

// 获取视频的wid
WId CFormCamViewer::getVideoWId() const
{
    return ui->videoWindow->winId();
}

void CFormCamViewer::enterEvent(QEvent *)
{
}

void CFormCamViewer::leaveEvent(QEvent *)
{
}

void CFormCamViewer::paintEvent(QPaintEvent *)
{
}

void CFormCamViewer::on_btnReview_clicked()
{
    DlgCamReview dlg;
    dlg.exec();
}
